package TiVo::Slice::Field::String;

use strict;
use base qw(TiVo::Slice::Field);
use TiVo::Slice::Number;

our $VERSION =
    (split / /, q$Id: String.pm,v 1.1 2001/12/02 11:00:19 grant Exp $)[2];

sub new {
    my $class = shift;
    my $value = shift;
    my $chars = length($value);
    die "string (probably) too long" if $chars > 200;
    my $length = TiVo::Slice::Number->new($chars)->tivonumber;
    my $self = $class->SUPER::new($length . $value);
    return $self;
}

1;
